GDB (xrefs)

Macros | Functions
/tmp/gdb-8.1/gdb/i386-fbsd-tdep.h File Reference

Go to the source code of this file.

## Macros
#define | I386_FBSD_XSAVE_XCR0_OFFSET 464

## Functions
uint64_t | i386fbsd_core_read_xcr0 (bfd *abfd)

## Macro Definition Documentation

## ◆ I386_FBSD_XSAVE_XCR0_OFFSET

#define I386_FBSD_XSAVE_XCR0_OFFSET 464

Definition at line 29 of file i386-fbsd-tdep.h.

Referenced by amd64fbsd_init_abi(), i386fbsd4_init_abi(), and i386fbsd_core_read_xcr0().

## Function Documentation

## ◆ i386fbsd_core_read_xcr0()

uint64_t i386fbsd_core_read_xcr0 | ( | bfd * | abfd | ) |

Definition at line 229 of file i386-fbsd-tdep.c.

References _, I386_FBSD_XSAVE_XCR0_OFFSET, size, warning(), X86_XSTATE_AVX_SIZE, and X86_XSTATE_SSE_MASK.

Referenced by amd64fbsd_core_read_description(), and i386fbsd_core_read_description().